Index: trunk/source/processes/cuts/include/G4MaterialCutsCouple.hh
===================================================================
--- trunk/source/processes/cuts/include/G4MaterialCutsCouple.hh	(revision 1227)
+++ trunk/source/processes/cuts/include/G4MaterialCutsCouple.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4MaterialCutsCouple.hh,v 1.3 2006/06/29 19:29:44 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // 
Index: trunk/source/processes/cuts/include/G4PhysicsTableHelper.hh
===================================================================
--- trunk/source/processes/cuts/include/G4PhysicsTableHelper.hh	(revision 1227)
+++ trunk/source/processes/cuts/include/G4PhysicsTableHelper.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PhysicsTableHelper.hh,v 1.3 2006/06/29 19:29:46 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // 
Index: trunk/source/processes/cuts/include/G4ProductionCuts.hh
===================================================================
--- trunk/source/processes/cuts/include/G4ProductionCuts.hh	(revision 1227)
+++ trunk/source/processes/cuts/include/G4ProductionCuts.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ProductionCuts.hh,v 1.5 2009/08/01 07:57:13 kurasige Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // 
Index: trunk/source/processes/cuts/include/G4ProductionCutsTable.hh
===================================================================
--- trunk/source/processes/cuts/include/G4ProductionCutsTable.hh	(revision 1227)
+++ trunk/source/processes/cuts/include/G4ProductionCutsTable.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ProductionCutsTable.hh,v 1.12 2009/11/11 03:20:21 kurasige Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // 
Index: trunk/source/processes/cuts/include/G4ProductionCutsTableMessenger.hh
===================================================================
--- trunk/source/processes/cuts/include/G4ProductionCutsTableMessenger.hh	(revision 1227)
+++ trunk/source/processes/cuts/include/G4ProductionCutsTableMessenger.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ProductionCutsTableMessenger.hh,v 1.2 2009/11/11 03:20:22 kurasige Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // 
Index: trunk/source/processes/cuts/include/G4RToEConvForElectron.hh
===================================================================
--- trunk/source/processes/cuts/include/G4RToEConvForElectron.hh	(revision 1227)
+++ trunk/source/processes/cuts/include/G4RToEConvForElectron.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4RToEConvForElectron.hh,v 1.3 2009/09/11 15:21:38 kurasige Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/processes/cuts/include/G4RToEConvForGamma.hh
===================================================================
--- trunk/source/processes/cuts/include/G4RToEConvForGamma.hh	(revision 1227)
+++ trunk/source/processes/cuts/include/G4RToEConvForGamma.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4RToEConvForGamma.hh,v 1.3 2009/09/11 15:21:38 kurasige Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/processes/cuts/include/G4RToEConvForPositron.hh
===================================================================
--- trunk/source/processes/cuts/include/G4RToEConvForPositron.hh	(revision 1227)
+++ trunk/source/processes/cuts/include/G4RToEConvForPositron.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4RToEConvForPositron.hh,v 1.3 2009/09/11 15:21:39 kurasige Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/processes/cuts/include/G4RToEConvForProton.hh
===================================================================
--- trunk/source/processes/cuts/include/G4RToEConvForProton.hh	(revision 1227)
+++ trunk/source/processes/cuts/include/G4RToEConvForProton.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4RToEConvForProton.hh,v 1.5 2009/09/14 07:27:46 kurasige Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/processes/cuts/include/G4VRangeToEnergyConverter.hh
===================================================================
--- trunk/source/processes/cuts/include/G4VRangeToEnergyConverter.hh	(revision 1227)
+++ trunk/source/processes/cuts/include/G4VRangeToEnergyConverter.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VRangeToEnergyConverter.hh,v 1.8 2009/09/14 07:27:46 kurasige Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/processes/cuts/src/G4MCCIndexConversionTable.cc
===================================================================
--- trunk/source/processes/cuts/src/G4MCCIndexConversionTable.cc	(revision 1227)
+++ trunk/source/processes/cuts/src/G4MCCIndexConversionTable.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4MCCIndexConversionTable.cc,v 1.3 2006/06/29 19:30:08 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // 
Index: trunk/source/processes/cuts/src/G4MaterialCutsCouple.cc
===================================================================
--- trunk/source/processes/cuts/src/G4MaterialCutsCouple.cc	(revision 1227)
+++ trunk/source/processes/cuts/src/G4MaterialCutsCouple.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4MaterialCutsCouple.cc,v 1.3 2006/06/29 19:30:10 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/processes/cuts/src/G4PhysicsTableHelper.cc
===================================================================
--- trunk/source/processes/cuts/src/G4PhysicsTableHelper.cc	(revision 1227)
+++ trunk/source/processes/cuts/src/G4PhysicsTableHelper.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4PhysicsTableHelper.cc,v 1.6 2009/08/01 07:57:13 kurasige Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // 
Index: trunk/source/processes/cuts/src/G4ProductionCuts.cc
===================================================================
--- trunk/source/processes/cuts/src/G4ProductionCuts.cc	(revision 1227)
+++ trunk/source/processes/cuts/src/G4ProductionCuts.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ProductionCuts.cc,v 1.6 2009/08/01 07:57:13 kurasige Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/processes/cuts/src/G4ProductionCutsTable.cc
===================================================================
--- trunk/source/processes/cuts/src/G4ProductionCutsTable.cc	(revision 1227)
+++ trunk/source/processes/cuts/src/G4ProductionCutsTable.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ProductionCutsTable.cc,v 1.25 2009/11/11 03:20:22 kurasige Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/processes/cuts/src/G4ProductionCutsTableMessenger.cc
===================================================================
--- trunk/source/processes/cuts/src/G4ProductionCutsTableMessenger.cc	(revision 1227)
+++ trunk/source/processes/cuts/src/G4ProductionCutsTableMessenger.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ProductionCutsTableMessenger.cc,v 1.3 2009/11/12 00:20:03 kurasige Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // 
Index: trunk/source/processes/cuts/src/G4RToEConvForElectron.cc
===================================================================
--- trunk/source/processes/cuts/src/G4RToEConvForElectron.cc	(revision 1227)
+++ trunk/source/processes/cuts/src/G4RToEConvForElectron.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4RToEConvForElectron.cc,v 1.7 2009/09/11 15:21:39 kurasige Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/processes/cuts/src/G4RToEConvForGamma.cc
===================================================================
--- trunk/source/processes/cuts/src/G4RToEConvForGamma.cc	(revision 1227)
+++ trunk/source/processes/cuts/src/G4RToEConvForGamma.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4RToEConvForGamma.cc,v 1.6 2009/09/12 12:09:42 kurasige Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/processes/cuts/src/G4RToEConvForPositron.cc
===================================================================
--- trunk/source/processes/cuts/src/G4RToEConvForPositron.cc	(revision 1227)
+++ trunk/source/processes/cuts/src/G4RToEConvForPositron.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4RToEConvForPositron.cc,v 1.7 2009/09/11 15:21:39 kurasige Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/processes/cuts/src/G4RToEConvForProton.cc
===================================================================
--- trunk/source/processes/cuts/src/G4RToEConvForProton.cc	(revision 1227)
+++ trunk/source/processes/cuts/src/G4RToEConvForProton.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4RToEConvForProton.cc,v 1.6 2009/09/14 07:27:46 kurasige Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/processes/cuts/src/G4VRangeToEnergyConverter.cc
===================================================================
--- trunk/source/processes/cuts/src/G4VRangeToEnergyConverter.cc	(revision 1227)
+++ trunk/source/processes/cuts/src/G4VRangeToEnergyConverter.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VRangeToEnergyConverter.cc,v 1.15 2009/09/14 07:27:46 kurasige Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/processes/decay/include/G4Decay.hh
===================================================================
--- trunk/source/processes/decay/include/G4Decay.hh	(revision 1227)
+++ trunk/source/processes/decay/include/G4Decay.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4Decay.hh,v 1.20 2008/09/19 03:19:53 kurasige Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/processes/decay/include/G4DecayProcessType.hh
===================================================================
--- trunk/source/processes/decay/include/G4DecayProcessType.hh	(revision 1227)
+++ trunk/source/processes/decay/include/G4DecayProcessType.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4DecayProcessType.hh,v 1.2 2008/09/19 03:19:53 kurasige Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/processes/decay/include/G4UnknownDecay.hh
===================================================================
--- trunk/source/processes/decay/include/G4UnknownDecay.hh	(revision 1227)
+++ trunk/source/processes/decay/include/G4UnknownDecay.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4UnknownDecay.hh,v 1.3 2006/06/29 19:30:56 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/processes/decay/include/G4VExtDecayer.hh
===================================================================
--- trunk/source/processes/decay/include/G4VExtDecayer.hh	(revision 1227)
+++ trunk/source/processes/decay/include/G4VExtDecayer.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VExtDecayer.hh,v 1.4 2006/06/29 19:31:11 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/processes/decay/src/G4Decay.cc
===================================================================
--- trunk/source/processes/decay/src/G4Decay.cc	(revision 1227)
+++ trunk/source/processes/decay/src/G4Decay.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4Decay.cc,v 1.30 2008/09/19 03:19:53 kurasige Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // 
Index: trunk/source/processes/decay/src/G4UnknownDecay.cc
===================================================================
--- trunk/source/processes/decay/src/G4UnknownDecay.cc	(revision 1227)
+++ trunk/source/processes/decay/src/G4UnknownDecay.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4UnknownDecay.cc,v 1.6 2007/12/15 12:29:16 kurasige Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // 
Index: trunk/source/processes/electromagnetic/adjoint/History
===================================================================
--- trunk/source/processes/electromagnetic/adjoint/History	(revision 1227)
+++ trunk/source/processes/electromagnetic/adjoint/History	(revision 1228)
@@ -1,3 +1,3 @@
-$Id: History,v 1.4 2009/11/20 10:31:20 ldesorgh Exp $
+$Id: History,v 1.5 2009/11/23 09:02:35 gcosmo Exp $
 -------------------------------------------------------------------
 
@@ -18,7 +18,9 @@
      ----------------------------------------------------------
 
+23 Nov 2009: G.Cosmo (emadjoint-V09-02-02)
+- Corrected compilation error on Windows for G4AdjointAlongStepWeightCorrection.
+
 20 Nov 2009: L.Desorgher (emadjoint-V09-02-01)
--Replace C++ type by G4 type where needed and adding of G4disclaimer 
-
+- Replace C++ type by G4 type where needed and adding of G4 disclaimer.
 
 10 Nov 2009: L.Desorgher (emadjoint-V09-02-00)
Index: trunk/source/processes/electromagnetic/adjoint/include/G4AdjointAlongStepWeightCorrection.hh
===================================================================
--- trunk/source/processes/electromagnetic/adjoint/include/G4AdjointAlongStepWeightCorrection.hh	(revision 1227)
+++ trunk/source/processes/electromagnetic/adjoint/include/G4AdjointAlongStepWeightCorrection.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4AdjointAlongStepWeightCorrection.hh,v 1.4 2009/11/20 10:31:20 ldesorgh Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 /////////////////////////////////////////////////////////////////////////////////
Index: trunk/source/processes/electromagnetic/adjoint/include/G4AdjointBremsstrahlungModel.hh
===================================================================
--- trunk/source/processes/electromagnetic/adjoint/include/G4AdjointBremsstrahlungModel.hh	(revision 1227)
+++ trunk/source/processes/electromagnetic/adjoint/include/G4AdjointBremsstrahlungModel.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4AdjointBremsstrahlungModel.hh,v 1.4 2009/11/20 10:31:20 ldesorgh Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 /////////////////////////////////////////////////////////////////////////////////
Index: trunk/source/processes/electromagnetic/adjoint/include/G4AdjointCSManager.hh
===================================================================
--- trunk/source/processes/electromagnetic/adjoint/include/G4AdjointCSManager.hh	(revision 1227)
+++ trunk/source/processes/electromagnetic/adjoint/include/G4AdjointCSManager.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4AdjointCSManager.hh,v 1.4 2009/11/20 10:31:20 ldesorgh Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 /////////////////////////////////////////////////////////////////////////////////
Index: trunk/source/processes/electromagnetic/adjoint/include/G4AdjointCSMatrix.hh
===================================================================
--- trunk/source/processes/electromagnetic/adjoint/include/G4AdjointCSMatrix.hh	(revision 1227)
+++ trunk/source/processes/electromagnetic/adjoint/include/G4AdjointCSMatrix.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4AdjointCSMatrix.hh,v 1.4 2009/11/20 10:31:20 ldesorgh Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 /////////////////////////////////////////////////////////////////////////////////
Index: trunk/source/processes/electromagnetic/adjoint/include/G4AdjointComptonModel.hh
===================================================================
--- trunk/source/processes/electromagnetic/adjoint/include/G4AdjointComptonModel.hh	(revision 1227)
+++ trunk/source/processes/electromagnetic/adjoint/include/G4AdjointComptonModel.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4AdjointComptonModel.hh,v 1.5 2009/11/20 10:31:20 ldesorgh Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 /////////////////////////////////////////////////////////////////////////////////
Index: trunk/source/processes/electromagnetic/adjoint/include/G4AdjointInterpolator.hh
===================================================================
--- trunk/source/processes/electromagnetic/adjoint/include/G4AdjointInterpolator.hh	(revision 1227)
+++ trunk/source/processes/electromagnetic/adjoint/include/G4AdjointInterpolator.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4AdjointInterpolator.hh,v 1.4 2009/11/20 10:31:20 ldesorgh Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 /////////////////////////////////////////////////////////////////////////////////
Index: trunk/source/processes/electromagnetic/adjoint/include/G4AdjointIonIonisationModel.hh
===================================================================
--- trunk/source/processes/electromagnetic/adjoint/include/G4AdjointIonIonisationModel.hh	(revision 1227)
+++ trunk/source/processes/electromagnetic/adjoint/include/G4AdjointIonIonisationModel.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4AdjointIonIonisationModel.hh,v 1.2 2009/11/20 10:31:20 ldesorgh Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 /////////////////////////////////////////////////////////////////////////////////
Index: trunk/source/processes/electromagnetic/adjoint/include/G4AdjointPhotoElectricModel.hh
===================================================================
--- trunk/source/processes/electromagnetic/adjoint/include/G4AdjointPhotoElectricModel.hh	(revision 1227)
+++ trunk/source/processes/electromagnetic/adjoint/include/G4AdjointPhotoElectricModel.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4AdjointPhotoElectricModel.hh,v 1.4 2009/11/20 10:31:20 ldesorgh Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 /////////////////////////////////////////////////////////////////////////////////
Index: trunk/source/processes/electromagnetic/adjoint/include/G4AdjointProcessEquivalentToDirectProcess.hh
===================================================================
--- trunk/source/processes/electromagnetic/adjoint/include/G4AdjointProcessEquivalentToDirectProcess.hh	(revision 1227)
+++ trunk/source/processes/electromagnetic/adjoint/include/G4AdjointProcessEquivalentToDirectProcess.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4AdjointProcessEquivalentToDirectProcess.hh,v 1.2 2009/11/20 10:31:20 ldesorgh Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 /////////////////////////////////////////////////////////////////////////////////
Index: trunk/source/processes/electromagnetic/adjoint/include/G4AdjointeIonisationModel.hh
===================================================================
--- trunk/source/processes/electromagnetic/adjoint/include/G4AdjointeIonisationModel.hh	(revision 1227)
+++ trunk/source/processes/electromagnetic/adjoint/include/G4AdjointeIonisationModel.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4AdjointeIonisationModel.hh,v 1.2 2009/11/20 10:31:20 ldesorgh Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 /////////////////////////////////////////////////////////////////////////////////
Index: trunk/source/processes/electromagnetic/adjoint/include/G4AdjointhIonisationModel.hh
===================================================================
--- trunk/source/processes/electromagnetic/adjoint/include/G4AdjointhIonisationModel.hh	(revision 1227)
+++ trunk/source/processes/electromagnetic/adjoint/include/G4AdjointhIonisationModel.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4AdjointhIonisationModel.hh,v 1.2 2009/11/20 10:31:20 ldesorgh Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 /////////////////////////////////////////////////////////////////////////////////
Index: trunk/source/processes/electromagnetic/adjoint/include/G4AdjointhMultipleScattering.hh
===================================================================
--- trunk/source/processes/electromagnetic/adjoint/include/G4AdjointhMultipleScattering.hh	(revision 1227)
+++ trunk/source/processes/electromagnetic/adjoint/include/G4AdjointhMultipleScattering.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4AdjointhMultipleScattering.hh,v 1.2 2009/11/20 10:31:20 ldesorgh Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 /////////////////////////////////////////////////////////////////////////////////
Index: trunk/source/processes/electromagnetic/adjoint/include/G4ContinuousGainOfEnergy.hh
===================================================================
--- trunk/source/processes/electromagnetic/adjoint/include/G4ContinuousGainOfEnergy.hh	(revision 1227)
+++ trunk/source/processes/electromagnetic/adjoint/include/G4ContinuousGainOfEnergy.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4ContinuousGainOfEnergy.hh,v 1.4 2009/11/20 10:31:20 ldesorgh Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 /////////////////////////////////////////////////////////////////////////////////
Index: trunk/source/processes/electromagnetic/adjoint/include/G4InversePEEffect.hh
===================================================================
--- trunk/source/processes/electromagnetic/adjoint/include/G4InversePEEffect.hh	(revision 1227)
+++ trunk/source/processes/electromagnetic/adjoint/include/G4InversePEEffect.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4InversePEEffect.hh,v 1.4 2009/11/20 10:31:20 ldesorgh Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 /////////////////////////////////////////////////////////////////////////////////
Index: trunk/source/processes/electromagnetic/adjoint/include/G4IonInverseIonisation.hh
===================================================================
--- trunk/source/processes/electromagnetic/adjoint/include/G4IonInverseIonisation.hh	(revision 1227)
+++ trunk/source/processes/electromagnetic/adjoint/include/G4IonInverseIonisation.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4IonInverseIonisation.hh,v 1.2 2009/11/20 10:31:20 ldesorgh Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 /////////////////////////////////////////////////////////////////////////////////
Index: trunk/source/processes/electromagnetic/adjoint/include/G4VAdjointReverseReaction.hh
===================================================================
--- trunk/source/processes/electromagnetic/adjoint/include/G4VAdjointReverseReaction.hh	(revision 1227)
+++ trunk/source/processes/electromagnetic/adjoint/include/G4VAdjointReverseReaction.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4VAdjointReverseReaction.hh,v 1.2 2009/11/20 10:31:20 ldesorgh Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 /////////////////////////////////////////////////////////////////////////////////
Index: trunk/source/processes/electromagnetic/adjoint/include/G4VEmAdjointModel.hh
===================================================================
--- trunk/source/processes/electromagnetic/adjoint/include/G4VEmAdjointModel.hh	(revision 1227)
+++ trunk/source/processes/electromagnetic/adjoint/include/G4VEmAdjointModel.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4VEmAdjointModel.hh,v 1.4 2009/11/20 10:31:20 ldesorgh Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 /////////////////////////////////////////////////////////////////////////////////
Index: trunk/source/processes/electromagnetic/adjoint/include/G4eInverseBremsstrahlung.hh
===================================================================
--- trunk/source/processes/electromagnetic/adjoint/include/G4eInverseBremsstrahlung.hh	(revision 1227)
+++ trunk/source/processes/electromagnetic/adjoint/include/G4eInverseBremsstrahlung.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4eInverseBremsstrahlung.hh,v 1.4 2009/11/20 10:31:20 ldesorgh Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 /////////////////////////////////////////////////////////////////////////////////
Index: trunk/source/processes/electromagnetic/adjoint/include/G4eInverseCompton.hh
===================================================================
--- trunk/source/processes/electromagnetic/adjoint/include/G4eInverseCompton.hh	(revision 1227)
+++ trunk/source/processes/electromagnetic/adjoint/include/G4eInverseCompton.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4eInverseCompton.hh,v 1.4 2009/11/20 10:31:20 ldesorgh Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 /////////////////////////////////////////////////////////////////////////////////
Index: trunk/source/processes/electromagnetic/adjoint/include/G4eInverseIonisation.hh
===================================================================
--- trunk/source/processes/electromagnetic/adjoint/include/G4eInverseIonisation.hh	(revision 1227)
+++ trunk/source/processes/electromagnetic/adjoint/include/G4eInverseIonisation.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4eInverseIonisation.hh,v 1.4 2009/11/20 10:31:20 ldesorgh Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 /////////////////////////////////////////////////////////////////////////////////
Index: trunk/source/processes/electromagnetic/adjoint/include/G4hInverseIonisation.hh
===================================================================
--- trunk/source/processes/electromagnetic/adjoint/include/G4hInverseIonisation.hh	(revision 1227)
+++ trunk/source/processes/electromagnetic/adjoint/include/G4hInverseIonisation.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4hInverseIonisation.hh,v 1.2 2009/11/20 10:31:20 ldesorgh Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 /////////////////////////////////////////////////////////////////////////////////
Index: trunk/source/processes/electromagnetic/adjoint/src/G4AdjointAlongStepWeightCorrection.cc
===================================================================
--- trunk/source/processes/electromagnetic/adjoint/src/G4AdjointAlongStepWeightCorrection.cc	(revision 1227)
+++ trunk/source/processes/electromagnetic/adjoint/src/G4AdjointAlongStepWeightCorrection.cc	(revision 1228)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4AdjointAlongStepWeightCorrection.cc,v 1.4 2009/11/20 10:31:20 ldesorgh Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// $Id: G4AdjointAlongStepWeightCorrection.cc,v 1.5 2009/11/23 09:02:35 gcosmo Exp $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 #include "G4AdjointAlongStepWeightCorrection.hh"
@@ -32,8 +32,4 @@
 #include "G4VParticleChange.hh"
 #include "G4AdjointCSManager.hh"
-
-#ifdef WIN32
-#include <G4float .h>
-#endif
 
 ///////////////////////////////////////////////////////
Index: trunk/source/processes/electromagnetic/adjoint/src/G4AdjointBremsstrahlungModel.cc
===================================================================
--- trunk/source/processes/electromagnetic/adjoint/src/G4AdjointBremsstrahlungModel.cc	(revision 1227)
+++ trunk/source/processes/electromagnetic/adjoint/src/G4AdjointBremsstrahlungModel.cc	(revision 1228)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4AdjointBremsstrahlungModel.cc,v 1.4 2009/11/20 10:31:20 ldesorgh Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// $Id: G4AdjointBremsstrahlungModel.cc,v 1.5 2009/12/16 17:50:01 gunter Exp $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 #include "G4AdjointBremsstrahlungModel.hh"
@@ -122,6 +122,6 @@
   const G4double a1 = 0.625 , a2 = 3.*a1 , d = 27. ;
 
-  if (9./(9.+d) > G4UniformRand()) u = - log(G4UniformRand()*G4UniformRand())/a1;
-     else                          u = - log(G4UniformRand()*G4UniformRand())/a2;
+  if (9./(9.+d) > G4UniformRand()) u = - std::log(G4UniformRand()*G4UniformRand())/a1;
+     else                          u = - std::log(G4UniformRand()*G4UniformRand())/a2;
 
   G4double theta = u*electron_mass_c2/projectileTotalEnergy;
@@ -183,5 +183,5 @@
         G4double Emin=  GetSecondAdjEnergyMinForProdToProjCase(adjointPrimKinEnergy);;
 	if (Emin>=Emax) return;
-	projectileKinEnergy=Emin*pow(Emax/Emin,G4UniformRand());
+	projectileKinEnergy=Emin*std::pow(Emax/Emin,G4UniformRand());
 	diffCSUsed=lastCZ/projectileKinEnergy;
  	
@@ -193,5 +193,5 @@
 	G4double f2=(Emax-adjointPrimKinEnergy)/Emax/f1;
 	//G4cout<<"f1 and f2 "<<f1<<'\t'<<f2<<G4endl;
-	projectileKinEnergy=adjointPrimKinEnergy/(1.-f1*pow(f2,G4UniformRand()));
+	projectileKinEnergy=adjointPrimKinEnergy/(1.-f1*std::pow(f2,G4UniformRand()));
 	gammaEnergy=projectileKinEnergy-adjointPrimKinEnergy;
 	diffCSUsed=lastCZ*adjointPrimKinEnergy/projectileKinEnergy/gammaEnergy;
@@ -232,6 +232,6 @@
   const G4double a1 = 0.625 , a2 = 3.*a1 , d = 27. ;
 
-  if (9./(9.+d) > G4UniformRand()) u = - log(G4UniformRand()*G4UniformRand())/a1;
-     else                          u = - log(G4UniformRand()*G4UniformRand())/a2;
+  if (9./(9.+d) > G4UniformRand()) u = - std::log(G4UniformRand()*G4UniformRand())/a1;
+     else                          u = - std::log(G4UniformRand()*G4UniformRand())/a2;
 
   G4double theta = u*electron_mass_c2/projectileTotalEnergy;
@@ -373,15 +373,15 @@
   DefineCurrentMaterial(aCouple);
   G4double Cross=0.;
-  lastCZ=theDirectEMModel->CrossSectionPerVolume(aCouple->GetMaterial(),theDirectPrimaryPartDef,100.*MeV,100.*MeV/exp(1.));//this give the constant above
+  lastCZ=theDirectEMModel->CrossSectionPerVolume(aCouple->GetMaterial(),theDirectPrimaryPartDef,100.*MeV,100.*MeV/std::exp(1.));//this give the constant above
   
   if (!IsScatProjToProjCase ){
   	G4double Emax_proj = GetSecondAdjEnergyMaxForProdToProjCase(primEnergy);
   	G4double Emin_proj = GetSecondAdjEnergyMinForProdToProjCase(primEnergy);
-	if (Emax_proj>Emin_proj && primEnergy > currentTcutForDirectSecond) Cross= lastCZ*log(Emax_proj/Emin_proj);
+	if (Emax_proj>Emin_proj && primEnergy > currentTcutForDirectSecond) Cross= lastCZ*std::log(Emax_proj/Emin_proj);
   }
   else {
   	G4double Emax_proj = GetSecondAdjEnergyMaxForScatProjToProjCase(primEnergy);
 	G4double Emin_proj = GetSecondAdjEnergyMinForScatProjToProjCase(primEnergy,currentTcutForDirectSecond);
-	if (Emax_proj>Emin_proj) Cross= lastCZ*log((Emax_proj-primEnergy)*Emin_proj/Emax_proj/(Emin_proj-primEnergy));
+	if (Emax_proj>Emin_proj) Cross= lastCZ*std::log((Emax_proj-primEnergy)*Emin_proj/Emax_proj/(Emin_proj-primEnergy));
   	
   }
